<?php
session_start();

  include_once("../scripts/connect.php");
  include("../scripts/session.php");
//Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    
    if(!$sesion->isValida("1")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session


  $conexion=conecta_default();


  if(isset($_POST['ordenar']))
    $ordenar=$_POST['ordenar'];/*por que campo ordenar*/
  else $ordenar="id_inver";

  if(isset($_POST['manera']))
    $manera=$_POST['manera'];/*manera para ordenar*/
  else $manera="ASC";

  if(isset($_POST['hoja']))
    $hoja=$_POST['hoja'];/*manera para ordenar*/
  else $hoja="1";

  if(isset($_POST['divisor']))
    $divisor=$_POST['divisor'];/*manera para ordenar*/
  else $divisor="20";

  
  $query1="SELECT id_inver,rfc,nombre,appat,apmat FROM inversionista WHERE estatus_idestatus = '2' ORDER BY ".$ordenar." ".$manera.";";
  
  $resultado1=mysqli_query($conexion, $query1,$conexion) or die ('Err: ' . mysqli_error($conexion));

  $ok=0;

  $filtros=array("rfc"=>"RFC","nombre"=>"Nombre","appat"=>"Apellido P.",
                 "apmat"=>"Apellido M.");

  $llave="id_inver";
  $estilo="";
  $border=1;


  if(mysqli_affected_rows($conexion)) $ok=1;//Existe al menos un registro. 
  
  echo "<html>
        <head>
        <script language=\"javascript\" src=\"../scripts/etc.js\" type=\"text/javascript\"></script>
        <script language=\"javascript\">         
        function aprueba(ide,RFC){
          //alert('aprueba');
        var form=getObjeto(\"formaAprueba\");
        var resp=confirm(\"Desea aprobar el registro\\n con RFC: \"+RFC+\"?\");
        if(resp){
            form.id_d.value=ide;            
            //alert(form.id_d.value);
            form.submit();
          }
        }

        function elimina(ide,RFC){
          //alert('elimina');
          var form=getObjeto(\"formaElimina\");
          var resp=confirm(\"Desea eliminar el registro\\n con RFC: \"+RFC+\"?\");
          if(resp){
            form.id_d.value=ide;
            //alert(form.id_d.value);
            form.submit();
          }
        }

        function verInfo(ide){
          //alert('info');
          var form=getObjeto(\"formaVerInfo\");
          form.id_d.value=ide;
          //alert(form.id_d.value);
          form.submit();
        }

        </script> 
        </head>

        <body onload=\"javascript:reset();\">
		<center><img src=\"../files/aprobusrs.png\" border=\"0\" width=\"440\" height=\"53\" alt=\"\"></center><br/>
        <form id=\"formaEliminaMultiple\" name=\"formaEliminaMultiple\" action=\"elimina_usuarios.php\" method=\"POST\">

        <table border=\"1\" cellpadding=\"0\">";

        $i=1;
        if(!$ok){ echo "<tr><td>No se encontraron registros.<td></tr>";}
        else{
          while(($row=mysqli_fetch_object($resultado1)) ){
              if($i==1){//poner cabeceras
                echo "<tr>";                
                echo "<th></th>";//Cabecera vacia para el checkbox
                echo "<th>Ver registro.</th>";
                foreach($row as $nom=>$valor){
                 if(isset($filtros[$nom])){
                    echo "<th><a onClick=\"javascript:writeOrdenar('".$nom."','".$manera."','".$hoja."')\" style=\"cursor:pointer\" >".$filtros[$nom]."</a></th>";
                 }                  
                 else{
                   if(strcmp($nom,$llave)==0); 
                   else{
                      echo "<th><a onClick=\"javascript:writeOrdenar('".$nom."','".$manera."','".$hoja."')\" style=\"cursor:pointer\" >".$nom."</th>"; 
                   }
                 }//else del if isset filtros.....
                }
                echo "<th>Aprobar</th>";
                echo "<th>Eliminar</th>";
                echo "</tr>";                
              }               

              //poner valores de los registros
              echo"<tr>";              
              echo "<td width=\"3%\">
                      <input type=\"checkbox\" name=\""."checkbox".$i."\" id=\""."checkbox".$i."\" value=\"".$row->id_inver."\" >
                    </td>";
              echo"<td align=\"center\" width=\"3%\"><a onclick=\"javascript:verInfo('$row->id_inver');\" style=\"cursor:pointer\"><img src=\"../files/lupa.gif\" alt=\"Ver informaci�n completa\" title=\"Ver informaci�n completa\"/></a></td>";

              foreach($row as $nom=>$valor){                
                if(strcmp($nom,$llave)==0);
                else echo"<td align=\"center\">".$valor."</td>";
              } 
               echo"<td align=\"center\" width=\"3%\"><a onclick=\"javascript:aprueba('$row->id_inver','$row->rfc');\" style=\"cursor:pointer\"><img src=\"../files/palomita.gif\" alt=\"Aprobar Usuario\" title=\"Aprobar Usuario\"/></a></td>";
               echo"<td align=\"center\" width=\"3%\"><a onclick=\"javascript:elimina('$row->id_inver','$row->rfc');\" style=\"cursor:pointer\"><img src=\"../files/tachita.gif\" alt=\"Eliminar Usuario\" title=\"Eliminar Usuario\"/></a></td>";
               echo"</tr>";             
              $i++;
          }//while
          echo "<input type=\"hidden\" name=\"h_ids\" id=\"h_ids\" value=\"\">";
          echo "<table class=\"".$estilo."\" border=\"".$border."\"><tr><td></td><td><a Onclick=\"javascript:marca_todos('".$i."','checkbox');\" style=\"cursor:pointer\">Marcar todos</td><td><a Onclick=\"javascript:desmarca_todos('".$i."','checkbox');\" style=\"cursor:pointer\">/&nbsp;Desmarcar todos</td><td></td><td>Para elementos seleccionados:</td><td><a onClick=\"javascript: mandaAEliminar('".($i)."','checkbox','h_ids');\" style=\"cursor:pointer;\"><img src=\"../files/tachita.gif\" alt=\"Eliminar seleccionados.\" title=\"Eliminar seleccionados.\"/></a>&nbsp;</td></tr></table>";       
        }//else

        

echo "</form>";//forma elimina multiple      
echo "<form name=\"order\" id=\"order\" action=\"./listaaprobusrs.php\" method=\"POST\">
           <input type=\"hidden\" name=\"ordenar\" value=\"$ordenar\">
           <input type=\"hidden\" name=\"manera\" value=\"$manera\">
           <input type=\"hidden\" name=\"hoja\" value=\"$hoja\">
           <input type=\"hidden\" name=\"divisor\" value=\"$divisor\">         
      </form>
       ";

       
echo "<form name=\"formaAprueba\" id=\"formaAprueba\" action=\"./afichadep.php\" method=\"POST\">
           <input type=\"hidden\" name=\"id_d\" id=\"id_d\" value=\"\">            
      </form>
     ";

echo "<form name=\"formaElimina\" id=\"formaElimina\" action=\"./elimina_usuario.php\" method=\"POST\">
           <input type=\"hidden\" name=\"id_d\" id=\"id_d\" value=\"\">            
      </form>
     ";

echo "<form name=\"formaVerInfo\" id=\"formaVerInfo\" action=\"./verdatosusr.php\" method=\"POST\">
           <input type=\"hidden\" name=\"id_d\" id=\"id_d\" value=\"\">            
      </form>
     ";

       

echo   "</table>
        </body>
        </html>";

?>

